Package com.meterware.httpunit

# Class HTMLPage.Scriptable

java.lang.Object
com.meterware.httpunit.scripting.ScriptableDelegate
com.meterware.httpunit.HTMLPage.Scriptable

All Implemented Interfaces:
  `ScriptingEventHandler`, `ScriptingHandler`

Enclosing class:
  `HTMLPage`

public class HTMLPage.Scriptable extends ScriptableDelegate
scriptable for HTML Page

## Field Summary

### Fields inherited from class com.meterware.httpunit.scripting.ScriptableDelegate

`NULL_SCRIPT_ENGINE`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String propertyName)`
get the Object with the given propertyName
`String`
`getCookie()`
`ScriptableDelegate[]`
`getElementsByName(String name)`
`ScriptableDelegate[]`
`getElementsByTagName(String name)`
`ScriptableDelegate`
`getElementWithID(String id)`
`ScriptingHandler[]`
`getForms()`
`ScriptingHandler[]`
`getImages()`
`ScriptingHandler[]`
`getLinks()`
`WebResponse.Scriptable`
`getParent()`
`String`
`getTitle()`
`boolean`
`replaceText(String text, String contentType)`
`void`
`set(String propertyName, Object value)`
Sets the value of the named property.
`void`
`setCookie(String name, String value)`

### Methods inherited from class com.meterware.httpunit.scripting.ScriptableDelegate

`clearCaches, doEvent, doEventScript, evaluateExpression, get, getDelegates, getScriptEngine, getScriptEngine, handleEvent, runScript, setScriptEngine, supportsScriptLanguage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public Object get(String propertyName)
get the Object with the given propertyName

Overrides:
  `get` in class `ScriptableDelegate`
Parameters:
  `propertyName` - - the name of the property

### set

public void set(String propertyName, Object value)
Sets the value of the named property. Will throw a runtime exception if the property does not exist or cannot accept the specified value.

Overrides:
  `set` in class `ScriptableDelegate`

### getParent

public WebResponse.Scriptable getParent()

### getTitle

public String getTitle() throws SAXException

Throws:
  `SAXException`

### getLinks

public ScriptingHandler[] getLinks()

### getForms

public ScriptingHandler[] getForms()

### getImages

public ScriptingHandler[] getImages()

### replaceText

public boolean replaceText(String text, String contentType)

### setCookie

public void setCookie(String name, String value)

### getCookie

public String getCookie()

### getElementWithID

public ScriptableDelegate getElementWithID(String id)

### getElementsByName

public ScriptableDelegate[] getElementsByName(String name)

### getElementsByTagName

public ScriptableDelegate[] getElementsByTagName(String name)